Issue 122072 - [Sidebar]Can't load line arrow type after setting arrow type
[Sidebar]Can't load line arrow type after setting arrow type
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-16 06:43 UTC by Li Feng Wang
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Li Feng Wang 2013-04-16 06:43:52 UTC
Trunk build: r1413470

reproduce steps:
1)Create a new spreadsheet/text document
2)Click View->Toolbars->Drawing to show drawing toolbar
3)insert a new line
4)set arrow type for line front and end in Line of sidebar
5)click other location
6)refocus on line created in step3
7)check arrow type on sidebar

defect:
Expect result: arrow type can display on sidebar and same as arrow type set in step 4.
Actual result: arrow type can't display on Line of sidebar. 

Note:
This issue exist on spreadsheet and document, not presentation.
Comment 1 Li Feng Wang 2013-04-16 07:04:28 UTC
After change line arrow in line tab of context menu, arrow style still not update.
Comment 2 Armin Le Grand 2013-04-17 15:12:22 UTC
ALG: Indeed, thats the case. Grepping...
Comment 3 Armin Le Grand 2013-04-17 15:15:05 UTC
ALG: Seems as if the slots SID_ATTR_LINE_START and SID_ATTR_LINE_END are mapped to the wrong StateMethods in SC and SW; in SC they currently use GetAttrFuncState while e.g. SID_ATTR_LINE_DASH (which works) uses GetDrawAttrState. Changing SID_ATTR_LINE_START and SID_ATTR_LINE_END to use GetDrawAttrState works. Same seems true for SW, taking a look.
The slots exist for some time (no new slots for sidebar), but the GetState methods were not used in the UI before.
Comment 4 SVN Robot 2013-04-17 15:15:55 UTC
"alg" committed SVN revision 1468963 into trunk:
122072 map SID_ATTR_LINE_START and SID_ATTR_LINE_END to the correct GetState ...
Comment 5 Armin Le Grand 2013-04-17 15:17:57 UTC
ALG: Comitted change for SC, looking for SW...
Comment 6 Armin Le Grand 2013-04-17 15:34:08 UTC
ALG: SW had the same error, corrected, checked, comitted. Done.
Comment 7 SVN Robot 2013-04-17 15:42:16 UTC
"alg" committed SVN revision 1468973 into trunk:
122072 map SID_ATTR_LINE_START and SID_ATTR_LINE_END to the correct GetState ...